---
metadata:
  - name: generator
    content: Diplodoc Platform v5.54.2
  - property: og:type
    content: article
  - property: article:section
    content: Справочник API
  - property: og:title
    content: Получить параметры сущности
  - property: article:tag
    content: Техническая инструкция
alternate:
  - https://yandex.ru/support/tracker/en/api-ref/entities/get-entity.md
  - https://yandex.ru/support/tracker/ru/api-ref/entities/get-entity.md
  - href: en/api-ref/entities/get-entity.md
    type: text/markdown
    title: Markdown version
  - href: ../../llms.txt
    type: text/markdown
    title: llms.txt
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/support/tracker/en/llms.txt


# Getting entity parameters

Use this request to get information about an entity: a [goal](https://yandex.ru/support/tracker/en/goals/goals-start.md), [project](https://yandex.ru/support/tracker/en/manager/project-new.md), or [project portfolio](https://yandex.ru/support/tracker/en/manager/portfolio.md).

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/entities/&lt;entity_type>/&lt;entity_ID>?expand=attachments&amp;fields=summary,teamAccess</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/api-ref/_assets/style/methods.md -->

<!-- endsource: en/api-ref/_assets/style/methods.md -->

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.ru/support/tracker/en/api-ref/access.md).

To get entity parameters, use an HTTP `GET` request.

```
GET /v3/entities/<entity_type>/<entity_ID>?expand=attachments&fields=summary,teamAccess
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/api-ref/_includes/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/api-ref/_includes/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. [Learn more](https://yandex.ru/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/api-ref/_includes/authorization.md -->


* <!-- source: en/api-ref/_includes/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Identity Hub.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/api-ref/_includes/org-id.md -->


{% endcut %}
<!-- endsource: en/api-ref/_includes/headings.md -->

<!-- source: en/api-ref/_includes/resource-entity.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<entity_type> | Entity type:<ul><li>project</li><li>portfolio</li><li>goal</li></ul> | String |
| \<entity_ID> | Entity ID. To get the ID, see the [entity list](search-entities.md). You can use the `id` or `shortId` parameter as the ID. | String |

{% endcut %}
<!-- endsource: en/api-ref/_includes/resource-entity.md -->

{% cut "Request parameters" %}

**Additional parameters**

| Parameter | Description | Data type |
-------- | -------- | ----------
| fields | Additional entity fields to include in the response [Supported fields](./about-entities.md#query-params) | String |
| expand | Additional information to include in the response:<ul><li>`attachments`: Attached files</li></ul> | String |

{% endcut %}

> Example: Getting information about a portfolio
>
> - An HTTP GET method is used.
> - The response will display attachments.
> - The response will include the `teamAccess` field.
>
> ```
> GET https://api.tracker.yandex.net/v3/entities/portfolio/655f328da834c763********?expand=attachments&fields=teamAccess
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully

   <!-- source: en/api-ref/_includes/answer-200.md -->
   If the request is successful, the API returns a response with code `200 OK`.
   <!-- endsource: en/api-ref/_includes/answer-200.md -->

   The response body contains information about the entity in JSON format.

   ```json translate=no
   {
      "self": "https://api.tracker.yandex.net/v3/entities/project/655f328da********",
      "id": "655f328da********",
      "version": 3,
      "shortId": 2,
      "entityType": "project",
      "createdBy": { "self": "https://api.tracker.yandex.net/v3/users/11********", "id": "11********", "display": "User Name", "cloudUid": "ajevuhegoggf********", "passportUid": 11******** },
      "createdAt": "2023-11-23T11:07:57.298+0000",
      "updatedAt": "2023-11-23T15:46:26.391+0000",
      "attachments": [
         {
            "self": "https://api.tracker.yandex.net/v3/attachments/9",
            "id": "9",
            "name": "file2.pdf",
            "content": "https://api.tracker.yandex.net/v3/attachments/9/file2.pdf",
            "createdBy": { "self": "https://api.tracker.yandex.net/v3/users/11********", "id": "11********", "display": "User Name", "cloudUid": "ajevuhegoggf********", "passportUid": 11******** },
            "createdAt": "2023-11-23T15:46:25.932+0000",
            "mimetype": "application/pdf",
            "size": 175656
         }
      ],
      "fields": {
        "summary": "Project name",
        "teamAccess": null,
        "author": { "self": "https://api.tracker.yandex.net/v3/users/11********", "id": "11********", "display": "User Name", "cloudUid": "ajevuhegoggf********", "passportUid": 11******** },
        "parentEntity": {
            "primary": {
                "self": "https://api.tracker.yandex.net/v3/entities/portfolio/67ffd7e3********",
                "id": "67ffd7e3********",
                "display": "My portfolio"
            },
            "secondary": []
        }
      }

   }
   ```

   {% cut "Response parameters" %}

   | Parameter | Description | Data type |
   -------- | -------- | ----------
   | self | Address of the API resource with information about the entity | String |
   | id | Entity ID. Entity ID is not the same as goal, project, or portfolio ID in the Yandex Tracker interface. | String |
   | version | Entity version. Each change of the parameters increases the version number. <br>Entity edits will be disabled if the version number reaches the threshold value of `10100` (for robots) or `11100` (for users). | Number |
   | shortId | Goal, project, or portfolio ID in Yandex Tracker. | Number |
   | entityType | Entity type | String |
   | createdBy | Block with information about the entity creator | Map object |
   | createdAt | Entity creation date in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
   | updatedAt | Date when the entity was last updated, in `YYYY-MM-DDThh:mm:ss.sss±hhmm` format | String |
   | attachments | Object array with information about attachments. | Array of objects |
   | [fields](about-entities.md) | Block with additional entity fields. | Map object |

   `createdBy` **object fields**

   <!-- source: en/api-ref/_includes/user.md -->
   | Parameter | Description | Data type |
   ----- | ----- | -----
   | self | Address of the API resource with information about the user | String |
   | id | User ID. | String |
   | display | Displayed user name | String |
   | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
   | cloudUid | Unique user ID in Yandex Identity Hub | String |
   <!-- endsource: en/api-ref/_includes/user.md -->

   {% endcut %}

- Request failed

   If the request is processed incorrectly, the API returns a response with an error code:

   <!-- source: en/api-ref/_includes/answer-error-400.md -->
   400
   :   One or more request parameters have an invalid value.
   <!-- endsource: en/api-ref/_includes/answer-error-400.md -->

   <!-- source: en/api-ref/_includes/answer-error-401.md -->
   401
   :   The user is not authorized. Make sure that actions described in the [API access](https://yandex.ru/support/tracker/en/api-ref/access.md) section are performed.
   <!-- endsource: en/api-ref/_includes/answer-error-401.md -->

   <!-- source: en/api-ref/_includes/answer-error-403.md -->
   403
   :   You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
   <!-- endsource: en/api-ref/_includes/answer-error-403.md -->

   <!-- source: en/api-ref/_includes/answer-error-404.md -->
   404
   :   The requested object was not found. You may have specified an invalid object ID or key.
   <!-- endsource: en/api-ref/_includes/answer-error-404.md -->

{% endlist %}
